
/*FILE jeff.PR0*/
OPTIONS LS=80 PS=360 OBS=MAX;
DATA split;
INFILE 'O:\All\Feaga\SAS Practice with Bob\jeff data.dat' LRECL=1000;
INPUT year cover $ block nrate $ NO3;
CARDS;
PROC GLM data = split;
CLASS block cover nrate;
model NO3 = block cover block*cover nrate cover*nrate;
test h=cover e=block*cover;
title "NO3 conc. by cover and nrate";
run;

/*FILE Jeff.PR0*/
OPTIONS LS=80 PS=360 OBS=MAX;
DATA split;
INFILE 'O:\All\Feaga\SAS Practice with Bob\jeff data.dat' LRECL=1000;
INPUT year cover $ block nrate $ NO3;
CARDS;
PROC GLM data = split;
CLASS year block cover nrate;
model NO3 = year block cover block*cover year*cover nrate cover*nrate year*nrate year*nrate*cover;
title "NO3 conc. by year, cover and nrate";
run;

Proc print data=split;
run;
